$ontext

   Least Absolute Deviation (LAD).

   Erwin Kalvelagen, october 2000

$offtext


set i /i1*i40/;

$include expdata.inc

variables
    constant     'estimate constant term coefficient'
    income       'estimate income coefficient'
    sad          'sum of absolute deviations'
;

positive variables
    res_plus(i)  'error term (plus term)'
    res_min(i)   'error term (minus term)'
;


equations
    fit(i)     'the linear model'
    obj        'objective'

;

obj..     sad =e= sum(i, res_plus(i) + res_min(i));
fit(i)..  data(i,'expenditure') =e= constant + income*data(i,'income') 
                + res_plus(i) - res_min(i);


model ols1 /obj,fit/;

solve ols1 minimizing sad using lp;

display constant.l, income.l, sad.l;
