$ontext

   Least Absolute Deviation (LAD), alternative formulation.

   Erwin Kalvelagen, october 2000

$offtext


set i /i1*i40/;

$include expdata.inc

variables
    constant     'estimate constant term coefficient'
    income       'estimate income coefficient'
    sad          'sum of absolute deviations'
    e(i)         'error term'
    abse(i)      'abolute error term'
;

positive variables
    res_plus(i)  'error term (plus term)'
    res_min(i)   'error term (minus term)'
;


equations
    fit(i)     'the linear model'
    plus(i)    'plus inequalities'
    min(i)     'min inequalities'
    obj        'objective'

;

obj..     sad =e= sum(i, abse(i));
fit(i)..  data(i,'expenditure') =e= constant + income*data(i,'income') + e(i);
plus(i).. abse(i) =g= e(i);
min(i)..  abse(i) =g= -e(i);


model lad2 /obj,fit,plus,min/;

solve lad2 minimizing sad using lp;

display constant.l, income.l, sad.l;