$ontext

   Ordinary Least Squares (OLS) by minimizing the Sum of
   Squared Errors directly.


   Erwin Kalvelagen, october 2000

$offtext


set i /i1*i40/;

$include expdata.inc

variables
    constant     'estimate constant term coefficient'
    income       'estimate income coefficient'
    residual(i)  'error term'
    sse          'sum of squared errors'
;

equations
    fit(i)     'the linear model'
    obj        'objective'

;

obj..     sse =e= sum(i, sqr(residual(i)));
fit(i)..  data(i,'expenditure') =e= constant + income*data(i,'income') + residual(i);


model ols1 /obj,fit/;

solve ols1 minimizing sse using nlp;

display constant.l, income.l, sse.l;

